/**
 * 
 * @param {Object} blockId
 */
function blockIdClicked(blockId) {
	try {
		if(!winPost || winPost.closed) {
			postButtonClicked();
			var func = function() {
				blockIdClicked(blockId);
			}
			setTimeout(func, 1000);
		} else {
			winPost.setBlockId(blockId);
			winPost.focus();
		}
			
		
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 */
function bracketLinkMouseOvered(event, threadName, blockId) {
	try {
		var cf = new CacheFile(threadName);
		var record = otherThreadRecordDB[threadName + "_" + blockId]
		
		if(!record) {
			record = cf.getRecordByBlockId(blockId);
		}
		
		if(record) {
			otherThreadRecordDB[threadName + "_" + blockId] = record;
			showReferedRecord(event, record, true);
		}
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 * 
 */
function cancelDeleteButtonClicked() {
	try {
		document.getElementById("div_deleteform").style.display = "none";
		showAllRecord();
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 * @param {Object} dl
 * @param {Object} chk
 */
function checkboxClicked(dl, chk) {
	var className = chk.checked ? "checked" : "std";
	dl.className = className;
}

/**
 * 
 */
function deleteRecordButtonClicked() {
	try {
		prepareForRecordDeletion();
		self.location.hash = "#deleteform";
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 */
function deleteThreadButtonClicked() {
	try {
		deleteThread();
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 */
function execDeleteButtonClicked() {
	try {
		if( confirm(msg("Q_02")) ) {
			deleteRecord();
		}
	} catch(e) {
		alert(e);
	}
}
/**
 * 
 */
function postButtonClicked() {
	try {
		if(!winPost || winPost.closed) {
			
			var opt = {cacheFile:null,func:null};
			opt.cacheFile = cacheFile;
			opt.func = showRecent;
				
			winPost = window.openDialog("chrome://moonfox/content/thread/post.xul"
						, "moonfox_post"
						, "modal=no,resizable=yes"
						, opt);
		} else {
			winPost.focus();
		}
	
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 * @param {Object} event
 * @param {Object} blockId
 */
function refAnchorMouseOvered(event, blockId) {
	try {
		var targetRecord = getRecordFromBlockId(blockId);
		
		if(!targetRecord) {
			targetRecord = otherThreadRecordDB[cacheFile.getThreadName() + "_" + blockId]
			
			if(!targetRecord) {
				targetRecord = cacheFile.getRecordByBlockId(blockId);
			}
		}
		
		if(targetRecord && !targetRecord.isDeleted()) {
			showReferedRecord(event, targetRecord, false);
		}
	} catch(e) {
		alert(e);
	}
}

/**
 * 
 */
function startup() {
	try {
		var param = self.location.search;
		var threadFileName = null;
		
		if( param.match(/\?fn=(.+)/) ) {
			threadFileName = RegExp.$1;
		}
		
		initMsg("chrome://moonfox/locale/messages.properties");
		cacheFile = new CacheFile(threadFileName);
		mfLog = new MfLog(threadFileName);
		imageBox = new ImageBox();
		
		if(cacheFile.isError()) {
			setMessage(msg("E_03"), "msg_error");
			return;
		}
		
		constructLogCombo();
		
		//キャッシュにないスレッドはリクエストを送る
		if(!cacheFile.exist()) {
			setTitle(cacheFile.title);
			setMessage("Now fetching data. Please wait for a minute.");
			var path = escape(utf16to8(cacheFile.title));
			getThreadData(path, showRecent, dataLoadError);
			return;
		}
		
		setTitle(cacheFile.getTitle());
		
		showRecent();
		
		//
		if(self.location.hash) {
			
		}
	} catch(e) {
		alert(e);
	}
}